#pragma once
#include "node_border.h"
#include "node_button.h"
#include "node_text_input.h"

class NodeDialogLayerRename : public NodeBorder
{
public:
    NodeButton* btn_cancel;
    NodeButton* btn_ok;
    NodeTextInput* input;
    virtual Node* clone_instantiate() const override;
    virtual void clone_finalize(Node* dest) const override;
    virtual void init() override;
    virtual void loaded() override;
    virtual void added(Node* parent) override;
    void init_controls();
    std::string get_name();
};
